> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opennote.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Practice Status



## OpenAPI

````yaml openapis/interactives.json get /v1/interactives/practice/status/{set_id}
openapi: 3.1.0
info:
  title: Interactive Routes
  version: 0.0.1
servers:
  - url: https://api.opennote.com
security: []
paths:
  /v1/interactives/practice/status/{set_id}:
    get:
      summary: Get Practice Status
      operationId: get_practice_status_interactives_practice_status__set_id__get
      parameters:
        - name: set_id
          in: path
          required: true
          schema:
            type: string
            title: Set Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PracticeProblemSetStatusResponse'
        '401':
          description: Invalid API key or unauthorized access
        '402':
          description: Insufficient credits
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '429':
          description: Rate limit exceeded
        '500':
          description: Internal server error
      security:
        - HTTPBearer: []
components:
  schemas:
    PracticeProblemSetStatusResponse:
      properties:
        set_id:
          type: string
          title: Set Id
        success:
          type: boolean
          title: Success
        status:
          type: string
          enum:
            - pending
            - completed
            - failed
            - status_error
          title: Status
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
        total_problems:
          type: integer
          title: Total Problems
        completed_problems:
          type: integer
          title: Completed Problems
        response:
          anyOf:
            - $ref: '#/components/schemas/PracticeProblemSet'
            - type: 'null'
        timestamp:
          type: string
          title: Timestamp
      type: object
      required:
        - set_id
        - success
        - status
        - total_problems
        - completed_problems
        - timestamp
      title: PracticeProblemSetStatusResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PracticeProblemSet:
      properties:
        set_id:
          type: string
          title: Set Id
        set_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Set Name
        problems:
          anyOf:
            - items:
                $ref: '#/components/schemas/PracticeProblem'
              type: array
            - type: 'null'
          title: Problems
        cost:
          anyOf:
            - type: number
            - type: 'null'
          title: Cost
      type: object
      required:
        - set_id
      title: PracticeProblemSet
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    PracticeProblem:
      properties:
        problem_type:
          type: string
          enum:
            - mcq
            - frq
            - selectall
          title: Problem Type
        problem_statement:
          type: string
          title: Problem Statement
        correct_answer:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
            - type: 'null'
          title: Correct Answer
        difficulty:
          type: string
          enum:
            - easy
            - medium
            - hard
          title: Difficulty
          default: medium
        answer_choices:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Answer Choices
        explanation:
          anyOf:
            - type: string
            - type: 'null'
          title: Explanation
        scoring_details:
          anyOf:
            - type: string
            - type: 'null'
          title: Scoring Details
        include_graph:
          type: boolean
          title: Include Graph
          default: false
        graph_description:
          anyOf:
            - type: string
            - type: 'null'
          title: Graph Description
        graph_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Graph Url
        user_answer:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
            - type: 'null'
          title: User Answer
      type: object
      required:
        - problem_type
        - problem_statement
      title: PracticeProblem
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````